#ifndef MAILWINDOWOPTION_H
#define MAILWINDOWOPTION_H

#include <qstring.h>
#include <qsize.h>

struct __image__
{
	bool flag;
	QString file;
};

struct __schema__
{
	bool flag;
};

struct __password__
{
	bool flag;
};

struct __exit__
{
	bool flag;
};

struct __process__
{
	bool flag;
	int value;
};

struct __font__
{
	QString family;
	bool bold;
	bool italic;
	bool strikeout;
	bool underline;
	int size;
};

struct __option__
{
	__option__();

	struct __image__ image;  
	struct __password__ password;
	struct __schema__ schema;
	struct __exit__ exit;
	int style;
	int from;
	int	to;
	QSize size;
	bool clear;
	struct __process__ process;
	struct __font__ font;
	bool save;
	bool log;
};

#endif
